> ## Documentation Index
> Fetch the complete documentation index at: https://docs.epay123.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 结算记录查询

> 查询结算订单的处理状态和详细信息。



## OpenAPI

````yaml docs/api/cn/openapi.json post /api/channelbiz/cbcoinpay/settleRequestGet
openapi: 3.0.1
info:
  title: 支付Api接口文档
  contact:
    name: epay123
  license:
    name: Apache 2.0
    url: https://docs.epay123.net
  version: 1.0.1
servers:
  - url: https://sandbox-pay.epay123.net
    description: Generated server url
security: []
paths:
  /api/channelbiz/cbcoinpay/settleRequestGet:
    post:
      tags:
        - 钱包结算接口
      summary: 结算记录查询
      description: 查询结算订单的处理状态和详细信息。
      operationId: settleRequestGet
      requestBody:
        description: 结算记录查询请求参数
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetApplyCoinSettleRQ'
        required: true
      responses:
        '200':
          description: 成功返回结果
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResGetApplyCoinSettleRS'
components:
  schemas:
    GetApplyCoinSettleRQ:
      required:
        - appId
        - mchNo
        - reqTime
        - requestId
        - sign
        - signType
        - version
      type: object
      properties:
        version:
          type: string
          description: 版本号
          example: 1.0.1
        signType:
          type: string
          description: 签名类型，目前只支持MD5方式
          example: MD5
        sign:
          type: string
          description: 签名值，详见签名算法
          example: xxxxxx
        reqTime:
          type: string
          description: 时间戳,13位时间戳
          example: '1622016572190'
        mchNo:
          type: string
          description: 商户号
          example: M1234567890
        appId:
          type: string
          description: 商户应用ID
          example: 88808634c46ff1a7807888888
        requestId:
          type: string
          description: 请求ID
          example: BIZ1234567890
    ApiResGetApplyCoinSettleRS:
      type: object
      properties:
        code:
          title: code
          type: integer
          description: 业务响应码
          format: int32
          example: 200
        msg:
          title: msg
          type: string
          description: 业务响应信息
          example: 成功
        data:
          $ref: '#/components/schemas/GetApplyCoinSettleRS'
        sign:
          title: sign
          type: string
          description: 签名值
    GetApplyCoinSettleRS:
      title: data
      required:
        - amount
        - currency
        - requestId
        - serverRequestId
        - status
        - tokenId
      type: object
      properties:
        serverRequestId:
          type: string
          description: 平台申请ID
          example: '1234567890'
        requestId:
          type: string
          description: 请求ID
          example: BIZ1234567890
        tokenId:
          type: string
          description: 币种ID
          example: TRON_USDT
        currency:
          type: string
          description: 法币
          example: USD
        amount:
          type: integer
          description: 法币金额,单位分
          format: int64
          example: 1000
        address:
          type: string
          description: 提币地址
          example: TX1234567890
        notifyUrl:
          type: string
          description: 回调地址
          example: https://xxx/notify
        status:
          type: integer
          description: '状态: 0-处理中, 1-正常, 2-失败'
          format: int32
          example: 0
      description: 数据对象

````